﻿@model eCommerce.UI.ViewModels.CatalogoViewModel

@{
    ViewBag.Title = "Shop";
}

<section id="category-grid">
    <div class="container inversed-menu">

        <!-- ========================================= SIDEBAR ========================================= -->
        <div class="col-xs-12 col-sm-3 no-margin sidebar narrow">
            
            @Html.Partial("_CategoryMenu", Model)

            @Html.Partial("_FilterMenu", Model)

            <div class="widget">
                <h1 class="categories-title">INFORMACIÓN</h1>
                <div class="margin-top-10">
                    <ul class="le-links">
                        <li><a href="/Institucional/Faq">Env&iacute;os</a></li>
                        <li><a href="/Institucional/Faq">Formas de Pago</a></li>
                        <li><a href="/Institucional/ComoComprar">Cómo Comprar</a></li>
                        <li><a href="/Institucional/Contacto">Contacto</a></li>
                    </ul>
                </div>
            </div>

            <!--<div class="widget">
                <div class="simple-banner">
                    <a href="#"><img alt="" class="img-responsive" src="/content/assets/images/banners/banner-simple.jpg"></a>
                </div>
            </div>-->

        </div>
        <!-- ========================================= SIDEBAR : END ========================================= -->

        <!-- ========================================= CONTENT ========================================= -->

        <div class="col-xs-12 col-sm-9 no-margin wide sidebar">

            <section id="gaming">
                <div class="grid-list-products">
                    <h2 class="section-title" style="display:none;">@Model.CategoryName</h2>

                    <div class="control-bar">
                        
                        <div id="item-count" class="le-select">
                            <select id="pageSize" class="hasCustomSelect" @*style="-webkit-appearance: menulist-button; width: 140px; position: absolute; opacity: 0; height: 18px; font-size: 13px;"*@>
                                <option value="12" @(Model.Filter.PageSize == 12 ? "selected" : string.Empty)>12 por página</option>
                                <option value="24" @(Model.Filter.PageSize == 24 ? "selected" : string.Empty)>24 por página</option>
                                <option value="48" @(Model.Filter.PageSize == 48 ? "selected" : string.Empty)>48 por página</option>
                                <option value="72" @(Model.Filter.PageSize == 72 ? "selected" : string.Empty)>72 por página</option>
                            </select>
                        </div>

                        <div id="popularity-sort" class="le-select">
                            <select id="ordenPrecio" data-placeholder="sort by popularity" class="hasCustomSelect" @*style="-webkit-appearance: menulist-button; width: 140px; position: absolute; opacity: 0; height: 18px; font-size: 13px;"*@>
                                <option value="menor" @(Model.Filter.Orden == "menor" ? "selected":string.Empty) >Menor precio</option>
                                <option value="mayor" @(Model.Filter.Orden == "mayor" ? "selected":string.Empty) >Mayor precio</option>
                            </select>
                        </div>

                        @*<div class="grid-list-buttons">
                            <ul>
                                @if (string.IsNullOrEmpty(Model.Filter.Vista) || string.Equals(Model.Filter.Vista, "grilla"))
                                {
                                    <li class="grid-list-button-item active"><a href="javascript:void(0)"><i class="fa fa-th-large" style="vertical-align:middle;"></i> Grilla</a></li>
                                    <li class="grid-list-button-item"><a href="javascript:fChangeView('lista')"><i class="fa fa-th-list" style="vertical-align:middle;"></i> Lista</a></li>
                                }
                                else
                                {
                                    <li class="grid-list-button-item"><a href="javascript:fChangeView('grilla')"><i class="fa fa-th-large"></i> Grilla</a></li>
                                    <li class="grid-list-button-item active"><a href="javascript:void(0)"><i class="fa fa-th-list"></i> Lista</a></li>
                                }
                            </ul>
                        </div>*@
                    </div>

                    <div class="tab-content">
                        
                        @if (string.IsNullOrEmpty(Model.Filter.Vista) || string.Equals(Model.Filter.Vista, "grilla"))
                        {
                            @Html.Partial("~/Views/Catalogo/_GridView.cshtml", Model)
                        }
                        else
                        {
                            @Html.Partial("~/Views/Catalogo/_ListView.cshtml", Model)
                        }

                    </div><!-- /.tab-content -->
                </div><!-- /.grid-list-products -->

            </section><!-- /#gaming -->
        </div><!-- /.col -->
        <!-- ========================================= CONTENT : END ========================================= -->
    </div><!-- /.container -->
</section>


@section Scripts {
    <script src="~/Scripts/Catalogo/CatalogoFilter.js"></script>
    <script type="text/javascript">
        //$(document).ready(function () {
        //    $("#sliderRange").slider({
        //        range: true,
        //        min: 0,
        //        max: 5000,
        //        step: 1,
        //        values: [0, 5000],
        //        slide: function (event, ui) {
        //            var price1 = ui.values[0];
        //            var price2 = ui.values[1];
        //            $("#price1").val("$" + price1);
        //            $("#price2").val("$" + price2);
        //        }
        //    });
        //});

        
        


        $("#pageSize").on('change', function () {
            fPageSize(this.value);
        });

        $("#ordenPrecio").on('change', function () {
            fPriceOrder(this.value);
        });
        function fPaging(page)
        {
            var search = updateUrlParameter("pagina", page);
            window.location = window.location.pathname + search;
        }
        function fPageSize(size)
        {
            var search = updateUrlParameter("pageSize", size);
            window.location = window.location.pathname + search;
        }
        function fPriceOrder(order) {
            var search = updateUrlParameter("orden", order);
            window.location = window.location.pathname + search;
        }
        function fChangeView(view)
        {
            
            var search = updateUrlParameter("vista", view);
            window.location = window.location.pathname + search;
        }

        function updateUrlParameter(param, value)
        {
            var search = window.location.search;
            if (window.location.search.indexOf(param) > 0)
            {
                var regex = new RegExp('(' + param + '=)[^\&]+');
                search = search.replace(regex, '$1' + value);
            }
            else
            {
                if (window.location.search == "")
                {
                    search += "?" + param + "=" + value;
                } else {
                    search += "&" + param + "=" + value;
                }
                
            }
            return search;
        }

    </script>

}